Page MenuHomePhabricator

Organizer can use same event registration for all translated subpages
Closed, ResolvedPublic3 Estimated Story Points

Description

As an event organizer, I want to use the same event registration for all of my translated event subpages, so that all users who visit my event page can easily register regardless of which translated event page they access.

Background: We received this feedback from @Sadads - "Hey all, noticing with one of our upcoming events for #WikiForHumanRights interesting Meta-wiki problem/design quirk when a translated subpage of an event, adds event registration -- it creates a separate event: https://meta.wikimedia.org/wiki/Special:EventDetails/287 but if the local translator didn't enable a new event, it doesn't automatically redirect: https://meta.wikimedia.org/wiki/Event:WikiForHumanRights_2024_Information_Session/pt-br . Most translated international landing pages on Commons and Meta would want all of the translated versions to be visible with the one registration."

During our community office hours call on Feb 21, 2024, we also heard from an organizer that they would want this feature. They gave an example of one of their events where this would be useful: https://meta.wikimedia.org/wiki/Event:EmpowerHer_Editathon_2024

More feedback shared on Feb 21: "We are now having the same challenge with this campaign: https://meta.wikimedia.org/wiki/Event:%C2%A1Alto!_Mujeres_haciendo_historia. It's an Iberoamerican campaign organized by 15 Wikimedia stakeholders in 2 languages (Spanish and Portuguese). We would like to keep a single registration link for the whole campaign and thus would like to have the same event registration header everywhere, but when we started translating it into Portuguese, we even got a suggestion to create another registration header/event, which means any person translating (with event organizer rights) can/could by mistake activate it."

Priority: This is high-priority, as we have received multiple requests for this work recently.

Acceptance Criteria:

  • Given that an event has enabled event registration on an event page,
    • And the event page has translated subpages,
      • Then the same event registration header should also appear on the translated subpages for the event

Event Timeline

ifried triaged this task as Medium priority.Feb 15 2024, 7:42 PM
ifried updated the task description. (Show Details)

This becomes more important as we try to roll out to Wiki Loves Campaigns on Commons as well.

ifried updated the task description. (Show Details)
ifried raised the priority of this task from Medium to High.Feb 26 2024, 3:39 PM
ifried updated the task description. (Show Details)
ifried renamed this task from Organizer can use same event registration for all event subpages to Organizer can use same event registration for all translated subpages.Feb 27 2024, 4:21 PM
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)

Change 1007613 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/extensions/CampaignEvents@master] Use MWEventLookupFromPage in EventPageDecorator

https://gerrit.wikimedia.org/r/1007613

Change 1007635 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[mediawiki/extensions/CampaignEvents@master] Make translated event pages use the same registration as the source page

https://gerrit.wikimedia.org/r/1007635

Change 1007742 had a related patch set uploaded (by Daimona Eaytoy; author: Daimona Eaytoy):

[integration/config@master] Zuul: [mediawiki/extensions/CampaignEvents] Add Translate dependency

https://gerrit.wikimedia.org/r/1007742

Change 1007742 merged by jenkins-bot:

[integration/config@master] Zuul: [mediawiki/extensions/CampaignEvents] Add Translate dependency

https://gerrit.wikimedia.org/r/1007742

Change 1007613 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] Rework MWEventLookupFromPage to be the main event-by-page lookup

https://gerrit.wikimedia.org/r/1007613

Change 1007635 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] Make translated event pages use the same registration as the source page

https://gerrit.wikimedia.org/r/1007635

vaughnwalters subscribed.

Given that an event has enabled event registration on an event page,
And the event page has translated subpages,
✅ Then the same event registration header should also appear on the translated subpages for the event

enesit
{F42577768}{F42577771}{F42577774}

Also, once a user registers on one of the translated subpages, they can cancel their registration on the primary page or one of the other translated subpages. It functions correctly across all translated subpages.

https://meta.wikimedia.beta.wmflabs.org/wiki/Event:TranslateTool
https://meta.wikimedia.beta.wmflabs.org/wiki/Event:TranslateTool/it
https://meta.wikimedia.beta.wmflabs.org/wiki/Event:TranslateTool/es

Sending to product sign off

This has been released and I have seen it live on some events with translated subpages, so I am marking this as Done.